using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LLNet.Tienda.MainForms.Controls
{
    public partial class ctlDetail : LLNet.GUI.ControlBases.ctlBase
    {
        public ctlDetail()
        {
            InitializeComponent();

        }

        public Model.PDV.DsPDV DataSource
        {
            get { return gdDetail.DataSource as Model.PDV.DsPDV; }
            set { gdDetail.DataSource = value; }
        }

        private void bandedGridView1_DataManagerReset(object sender, EventArgs e)
        {

        }

        private void gdDetail_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyValue == 9)
            {
                Program.FrmMainPos.pos.ctlAddSkus1.txtSku.Focus();
            }else if(e.KeyValue == 13)
            {
                Program.FrmMainPos.btnDatosLinea_Click(null,null);
            }
        }

        private void gdDetail_DoubleClick(object sender, EventArgs e)
        {
            Program.FrmMainPos.btnDatosLinea_Click(null, null);
        }

        private void gdDetail_Click(object sender, EventArgs e)
        {

        }
    }
}